import mongoose from "mongoose";

class MongoManager {
  constructor(config) {
    this._config = config;
  }

  getMongoUrl = () => {
    return this._config.MONGODB_URI;
  };

  connect = () => {
    mongoose.set("strictQuery", true);
    return mongoose.connect(this.getMongoUrl());
  };
}

export { MongoManager };
