import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from './utils/helper';

@Injectable({
  providedIn: 'root',
})
export class TransactionProcessLogService {
  constructor(private http: HttpClient) {}

  getAllRecord(TransactionNumber: any) {
    return this.http.get(
      `${environment.apiUrl}/api/transaction-management/transaction-pending-log/log-detail?TransactionNumber=${TransactionNumber}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
