import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root'
})
export class DailyRemittanceService {
  url = environment.apiUrl;
  constructor( private http: HttpClient) {}


  getDashboardReportList(FromDate:any,ddlCustType:any) {
    return this.http.get(
      `${environment.apiUrl}/api/master/reports/dashboard-report-list?FromDate=${FromDate}&ddlCustType=${ddlCustType}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
